#include <QDateTime>
#include <QFont>
#include <QImage>
#include <QPainter>

#include "picturelabeler.h"

PictureLabeler::PictureLabeler(QObject *parent) :
    QObject(parent)
{
}

QString PictureLabeler::addTimestamp(
    const QString& pictureFilename )
{
  const QString dt =
      QDateTime::currentDateTime()
          .toString();

  QImage img( pictureFilename );

  if( ! img.isNull() ) {
    QPainter painter( &img );
    painter.setPen( Qt::blue );
    painter.setFont(
            QFont( "Arial", 32 ) );
    painter.drawText(
            16,img.height()-18, dt );

    if( img.save( pictureFilename ) )
        return dt;
  }
  return QString("");
}
